<div class="input-sound-list-container" {{did-insert this.setup}}>
  <div class="input-sound-list sound-list">
    <DragSortList @isHorizontal={{true}} @draggingEnabled={{not this.isLoading}} @items={{this.value}} @dragEndAction={{this.dragEnd}} @handle=".sound-container" as |item index|>
      {{#if item.isAdd}}
        <button type="button" {{on "click" this.selectFile}} disabled={{this.isLoading}} class="btn btn-sound-add">
          <div class="label">
            <FaIcon @icon="plus" />
            {{t "add"}}
          </div>
        </button>
      {{else}}
        <div class="item d-flex">
          <Browse::Sound @value={{item}} @disabled={{this.isLoading}} draggable="true" />

          <div class="d-flex flex-column justify-content-between flex-grow-1 m-2">
            <div class="mt-2">
              {{! template-lint-disable require-input-label }}
              <Input class="form-control" @value={{item.name}} {{on "keyup" (fn this.changeName index)}} />
            </div>
            <div class="text-start mt-2">
              <button class="btn btn-danger btn-delete-sound mb-1" disabled={{this.isLoading}} type="button" {{on "click" (fn this.remove index)}}>
                <FaIcon @icon="trash" />
                {{capitalize (t "delete")}}
              </button>
            </div>
          </div>
        </div>
      {{/if}}
    </DragSortList>
  </div>

  {{! template-lint-disable require-input-label }}
  <input {{did-insert this.setupFileInput}} {{on "change" this.fileSelected}} type="file" class="sound-list-input d-none" accept="audio/mpeg" />
</div>